Package org.codehaus.groovy.transform.stc

# Class StaticTypeCheckingVisitor.SignatureCodecFactory

java.lang.Object
org.codehaus.groovy.transform.stc.StaticTypeCheckingVisitor.SignatureCodecFactory

Enclosing class:
  `StaticTypeCheckingVisitor`

public static class StaticTypeCheckingVisitor.SignatureCodecFactory extends Object

## Constructor Summary

Constructors
Constructor
Description
`SignatureCodecFactory()`

## Method Summary

Modifier and Type
Method
Description
`static SignatureCodec`
`getCodec(int version, ClassLoader classLoader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SignatureCodecFactory

public SignatureCodecFactory()

## Method Details

### getCodec

public static SignatureCodec getCodec(int version, ClassLoader classLoader)